artdaq - Bug #20348

OnlineMonitoring reports timeouts while reading events from Dispatcher.
07/18/2018 01:37 PM - Gennadiy Lukhanin

Status: Work in progress Start date: 07/18/2018
Priority: Low Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Experiment: -

Co-Assignees:

Description

DAQ configured to run the mediumsystem_with_routing_master test at 1Hz.

The OnlineMonitoring job reports timeouts while reading events from Dispatcher.

[mu2etrg@mu2edagll DAQInterfaceTest]$ art -c
Early 18-Jul-2018 13:03:56 CDT JobSetup

$MSG-i MF_INIT_ OK:

./TransferInputShmem. fcl

Messagelogger initialization complete.

$MSG
$MSG-i DeactivatedPath:

Early 18-Jul-2018 13:03:57 CDT JobSetup

Detected end path "al" which was not found in

parameter "physics.end_paths".

$MSG
$MSG—-1i DeactivatedPath:

Path will be ignored.

Early 18-Jul-2018 13:03:57 CDT JobSetup

Detected end path "a2" which was not found in

parameter "physics.end_paths".

$MSG
$MSG-i DeactivatedPath:

Path will be ignored.

Early 18-Jul-2018 13:03:57 CDT JobSetup

Detected end path "el" which was not found in

parameter "physics.end_paths".

SMSG
$MSG-1 TransferWrapper:

Attempting to register this monitor

TMSG
$MSG-1 TransferWrapper:

Response from dispatcher is

SMSG

$MSG-1i configureMessageFacility:

ty.cc:300

Message Facility Application artdagart configured with: debugModules: ["*"]

Path will be ignored.

DAQ 18-Jul-2018 13:03:57 CDT Booted TransferWrapper.cc:71

("shmeml") with the dispatcher aggregator

DAQ 18-Jul-2018 13:03:57 CDT Booted TransferWrapper.cc:76
"Success"

artdagart 18-Jul-2018 13:03:57 CDT Booted configureMessageFacili

destinations: {console: {

threshold:"INFO" type:"cout"}}

$MSG

$MSG-w TransferWrapper:
Timeout occurred in call
$MSG

%$MSG-w TransferWrapper:
Timeout occurred in call
SMSG

$MSG-w TransferWrapper:
Timeout occurred in call
$MSG

$MSG-w TransferWrapper:
Timeout occurred in call
$MSG

$MSG-w TransferWrapper:
Timeout occurred in call
$MSG

$MSG-w TransferWrapper:
Timeout occurred in call
$MSG

$MSG-w TransferWrapper:
Timeout occurred in call
DAQ 18-Jul-2018 13:03:58 CDT Booted TransferWrapper.cc:142

to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:00 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:05 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:10 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:15 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:20 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
DAQ 18-Jul-2018 13:04:25 CDT Booted TransferWrapper.cc:142
to transfer_->receiveFragmentFrom; will try again, status = -1
TMSG
$MSG-w TransferWrapper: DAQ 18-Jul-2018 13:04:30 CDT Booted TransferWrapper.cc:142

Timeout occurred in call to transfer_->receiveFragmentFrom; will try again, status = -1
IMSG

Related issues:

Related to artdaq - Bug #20372: SBN om attach Closed 07/19/2018
History

#1 - 07/18/2018 01:39 PM - Kyle Knoepfel

- Description updated

#2 - 07/23/2018 12:29 PM - Ron Rechenmacher
- Related to Bug #20372: SBN om attach added

#3 - 07/23/2018 12:35 PM - Ron Rechenmacher
increasing om art timeout seems to work. See source.timeoutinUsecs in tools/fcl/TransferinputShmem.fcl:

source: {
module_type: TransferInput

1. The timeout shouldn't be much smaller than the period between events, otherwise # there's a spew of timeout messages

timeoutInUsecs: 60000000

#4 - 07/23/2018 03:58 PM - Ron Rechenmacher
- Status changed from New to Work in progress

- Priority changed from Normal to Low
